:root{
   --secondary-text-color: #ED2326;
    --text-Navi: #ffffff;
    --background-color: #00e1ff;
    --border-color: #000000;
    --text-color: #000000;
    --highlight-color: #ED2326;
    --yt-color: #B10DC9;
}
*{
    padding: 0;
    margin: 0;
    font-family: Archivo Narrow;
    box-sizing: border-box;   
    
    
}
html { position:relative;
  min-height:100%;
    }

.antispam { display:none;}
@font-face{
  font-family: Archivo Narrow;
  src: url("Front/ArchivoBlack-Regular.ttf");
}
a {
  text-decoration: none;
  
}
a:hover {
  color: var(--highlight-color);
}
p{
  
    font-weight: 500;
    color: var(--secondary-text-color);
}
h1{
    font-size: 40px;
    font-weight: 900;
    color: var(--yt-color);
}
body{
    background-color: var(--background-color);

}
nav {
  display: flex;
  width: 100%;
  border-bottom: 3px solid var(--border-color);
  
}
nav a{
  color: var(--text-color);
}

nav .nav-section {
  padding: 3rem 2rem;
  display: flex;
  gap: 1rem;
  border-left: 3px solid var(--border-color);
  align-items: center;
  justify-content: center;
}

#nav-mobile-section {
  display: flex;
  flex-basis: calc(100% * (2 / 3));
  z-index: 2;
}

#nav-toggle-button { 
  align-items: center;
  background-color: transparent;
  border: none;
  border-left: 1px solid var(--border-color);
  color: var(--text-color);
  font-size: 20px;
  cursor: pointer;
  display: none;
  gap: 0.8rem;
  height: 160px;
  justify-content: center;
  outline: none;
  padding: 0rem 3rem;
  position: relative;
  z-index: 3;
}

#nav-toggle-button:hover,
#nav-toggle-button:hover > span {
  color: var(--highlight-color);
}

#nav-toggle-button > span,
#nav-toggle-button > i { 
  display: inline-block;
  height: 1rem;
  line-height: 1rem;
}

#nav-social-section,
#nav-contact-section {
  flex-grow: 1;
}

#nav-logo-section {
  flex-basis: calc(100% / 3);
  justify-content: flex-start;
}

#nav-logo-section > a > img {
  height: 110px;
  width: auto;
}

#nav-link-section {
  flex-basis: 50%;
  gap: 6rem; 
  font-size: 23px;
}

#nav-social-section {
  gap: 3rem;
  
}
#nav-contact-section {
font-size: 23px;
}

.Main-Titel{
    display: flex;
    justify-content: center;
    padding-top: 50px;

}
.main-description{
    display: flex;
    justify-content: center;
    padding-top: 20px;
}



.app-promo {
    padding-top: 20px;
    display: flex;
    flex-direction: column;
    text-align: center;
    padding-bottom: 15px;
    
  }
  
  .app-details {
    display: flex;
    flex-direction: column;
    margin-top: 30px;
  }
  
  .app-details .app-text {
    flex: 1;

    text-align: left;
  }
  
  .app-details .app-text {
    font-size: 25px;
    font-weight: bold;
  }
  .app-title{
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    font-weight: bolder;
    padding-bottom: 5px;
  }
  
  .app-details .app-text .app-description {
    font-size: 25px;
  }
  
  .app-details .app-image {
    flex: 1;
    
    text-align: center;
  }
  
  .app-details .app-image img {
    max-width: 250px;
    height: auto;
    border-radius: 10px;
  }
  
  .app-download {
    margin-top: 20px;
  }
  .app-text{
    line-height: 30px;
    padding-left: 50px;
  }
  .app-text a{
    text-decoration: underline;
}
  .app-download button {
  
    border-radius: 0px;
    padding: 0px;
    margin: 0px;
    background-color: var(--main-brand-color); 
    border: none;
    cursor: pointer;
  }

  footer{ 
    position: absolute;
    bottom: 0;
    margin-top: 20px;
    
  }
  .footer-text{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: relative;
    
  }
  .footer-right{
    padding: 15px;
    color: var(--text-color);
    position: relative;
  }
  .footer-left{
    padding: 15px;
    align-items: end;
    color: var(--text-color);
    position: relative;
  }

  @media(max-width: 1200px) {    
    #nav-mobile-section {
      flex-basis: calc(100% * 0.75);
    }
  
    #nav-logo-section {
      flex-basis: calc(100% * 0.25);
    }
    
    #nav-link-section {
      flex-basis: calc(100% / 3);
      gap: 3rem;
    }}
  
  @media screen and (min-width: 768px) {
    .app-promo {
      flex-direction: row;
      justify-content: center;
      align-items: flex-start;
      text-align: left;
    }
   
  
    .app-details {
      flex-direction: row;
      
    }
  
    .app-details .app-text {
      padding-right: 20px;
    }
  
    .app-details .app-image {
      padding-left: 20px;
    }
  }
  
  @media(max-width: 800px) {  
    nav {
      justify-content: space-between;  
    }
    
    nav[data-toggled="true"] > #nav-mobile-section {  
      transform: translateY(0%);
    }
  
    nav[data-toggled="true"] > #nav-toggle-button {
      border-left: none;
    }
  
    nav[data-transitionable="true"] > #nav-mobile-section {
      transition: transform 400ms ease;
    }
    
    nav .nav-section {
      border-left: none;
      padding: 1.5rem 1rem;
    }
    
    #nav-logo-section > a > i {
      font-size: 1.5rem;
      margin-left: 1rem;
    }
    
    #nav-mobile-section {
      background-color: var(--background-color);
      flex-direction: column;
      height: 100vh;
      width: 100vw;
      position: fixed;
      transform: translateY(-100%);
    } 
    
    #nav-toggle-button {
      display: flex;
    }  
    
    #nav-link-section {
      flex-basis: 60%;
      flex-direction: column;
      gap: 4rem;
    }
    
    #nav-link-section > a {
      font-size: 3rem; 
    }
    
    #nav-social-section > a {
      font-size: 2rem; 
    }  
    
    #nav-contact-section {
      padding-bottom: 4rem;
    }
  }